oggdec(1)

NOM
oggdec – Décodage simple, fichier Ogg Vorbis vers fichier audio PCM (Wave ou RAW)

SYNOPSIS
oggdec [ -Qhv ] [ -b bits_par_échantillon ] [ -e boutisme ] [ -R ] [ -s signature ] [ -o sortie ] fichier ...

DESCRIPTION
oggdec décode des fichiers Ogg Vorbis en fichiers audio encodés en PCM (c’est-à-dire non compressé), soit au format Wave, soit au format RAW. Pour chaque fichier d’entrée, oggdec écrit dans un fichier dont le nom est basé sur celui d’entrée, mais avec une extension modifiée à « .wav » ou « .raw » selon le cas. Si le fichier d’entrée est indiqué sous la forme -, oggdec lit l’entrée standard et écrit sur la sortie standard si aucun fichier de sortie n’est indiqué. De même, un fichier de sortie sous la forme - fait que la sortie standard est utilisée. Écrire au format Wave sur la sortie standard est une mauvaise idée. Ce format requiert un média adressable pour que l’en-tête puisse être écrit après que toutes les données ont été écrites ; la sortie standard n’est pas adressable.

OPTIONS

-Q, --quiet
    Supprimer la sortie du programme.

-h, --help
    Afficher un message d'aide.

-V, --version
    Afficher les informations de version.

-b n, --bits=n
    Bits par échantillon. Les valeurs autorisées sont 8 ou 16.

-e n, --endian=n
    Définir le boutisme d’une sortie 16 bits, 0 (par défaut) pour une sortie petit-boutiste (ordre des octets d’Intel), 1 pour une sortie gros-boutiste (ordre des octets rationnel).

-R, --raw
    Sortie au format RAW. Si cette option n’est pas indiquée un fichier Wave est écrit (en-têtes RIFF).

-s n, --sign=n
    Définir la signature de la sortie, 0 pour l’absence et 1 (par défaut) pour une signature.

-o fichier, --output=fichier
    Écrire la sortie dans le fichier indiqué. Cette option n’est valable que si une seule entrée [fichier] est indiquée ou si le mode raw est utilisé.

EXEMPLES
Décodage d’un fichier musique.ogg dans musique.wav sous forme 16 bits petit-boutiste et signée (options par défaut) :
    oggdec musique.ogg
Décodage d’un fichier musique.ogg dans musique.raw sous forme 16 bits petit-boutiste signée sans en-tête :
    oggdec --raw musique.ogg
Décodage d’un fichier musique.ogg dans musique.zique sous forme 8 bits non signée :
    oggdec -b 8 -s 0 -o musique.zique musique.ogg
Décodage d’un fichier musique.ogg dans musique.raw sous forme 16 bits gros-boutiste signée (n’importe laquelle des solutions suivantes) :
    oggdec -R -e 1 -b 16 musique.ogg
    oggdec -R -e 1 -b 16 -o musique.raw - < musique.ogg
    oggdec -R -e 1 -b 16 - < musique.ogg > musique.raw
Décodages multiples (toto.ogg dans toto.wav, titi.ogg dans titi.wav, tutu.ogg dans tutu.wav, etc.) :
    oggdec *.ogg

AUTEURS

  Auteur du programme
Michael Smith <msmith@xiph.org>

  Auteurs du manuel
Frederick Lee <phaethon@linux.ucla.edu>, assisté de quelques millions de petits bras armés d’un clavier dans irc://irc.openprojects.net/#vorbis

VOIR AUSSI

ogg123(1), oggenc(1), vorbiscomment(1), flac(1), speexdec(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.